Bug 816284 - libdb-devel conflict with db4-devel
Summary: libdb-devel conflict with db4-devel
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: libdb
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jindrich Novy
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-04-25 17:34 UTC by Michal Jaegermann
Modified: 2013-07-02 23:55 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-07-11 19:03:44 UTC


Attachments (Terms of Use)

Description Michal Jaegermann 2012-04-25 17:34:51 UTC
Description of problem:

Quite a number of devel packages requires db4-devel. OTOH an attempt to update
apr-util-devel to 1.4.1-3.fc18.x86_64 tries to pull in version 5.3.15-2.fc18 od libdb-devel due to dependencies. apr-util-devel is there also due to other requirements. All of this results in

Transaction Check Error:
  file /usr/include/db.h from install of libdb-devel-5.3.15-2.fc18.x86_64 conflicts with file from package db4-devel-4.8.30-9.fc18.x86_64
  file /usr/include/db_185.h from install of libdb-devel-5.3.15-2.fc18.x86_64 conflicts with file from package db4-devel-4.8.30-9.fc18.x86_64
  file /usr/include/db_cxx.h from install of libdb-devel-5.3.15-2.fc18.x86_64 conflicts with file from package db4-devel-4.8.30-9.fc18.x86_64
  file /usr/lib64/libdb.so from install of libdb-devel-5.3.15-2.fc18.x86_64 conflicts with file from package db4-devel-4.8.30-9.fc18.x86_64

and the whole transaction fells apart.

Version-Release number of selected component (if applicable):
libdb-devel-5.3.15-2.fc18
db4-devel-4.8.30-9.fc18
apr-util-devel-1.4.1-3.fc18

Comment 1 Michal Jaegermann 2012-04-25 18:03:11 UTC
Further experiments show that the following would "nearly" work with
'yum shell':

   remove db4-devel
   update apr-util-devel
   ts run

That would suggest that maybe suitable obsoletes/provides are just missing.

The above is "nearly" in the current setup as libgda-devel has a dependency on db4-devel and "update apr-util-devel" attempts to get libdb-devel.  What else could want db4-devel I do not know.

Comment 2 Michael Schwendt 2012-05-04 19:27:50 UTC
https://fedoraproject.org/wiki/Packaging:Conflicts

For the packages to be parallel-installable, it may be necessary to move the headers *and* the .so symlink to a subdirectory. Even if that makes it slightly harder for db4-devel users as they would need to adjust search paths.

Comment 3 Orion Poplawski 2012-06-13 15:42:35 UTC
This is particularly annoying because --skip-broken cannot work around it.

Comment 4 Orion Poplawski 2012-07-09 20:53:00 UTC
This is still broken.

Comment 5 Jindrich Novy 2012-07-11 19:03:44 UTC
db4 is gone now. Please check if the problem persists and eventually reopen.

Thanks!


Note You need to log in before you can comment on or make changes to this bug.